Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## datechooser.autorun
Class Configurator

    java.lang.Object
      datechooser.autorun.Configurator

All Implemented Interfaces:
  java.lang.Runnable

    public class Configurator

extends java.lang.Object
implements java.lang.Runnable

Main library class. Shows logo and then starts visual components customization.
Класс, отвечающий за запуск приложения. Показывает заставку, а потом открывает редакторы.

Since:
  1.0
Author:
  Androsov Vadim

Constructor Summary
`Configurator()`

Method Summary
`static void` | `main(java.lang.String[] args)` Main method.
`void` | `run()` Allows construct components and their customizers in background while logo is showing.
`void` | `start(boolean showLogo)` Starts visual customizator after logo.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Configurator

    public Configurator()

Method Detail

### main

    public static void main(java.lang.String[] args)

  Main method.
  Главная процедура.

  Parameters:
    `args` - Not used.
    Не используется.
  Since:
    1.0

### start

    public void start(boolean showLogo)

  Starts visual customizator after logo.
  Запускает визуальный настройщик после того, как покажет логотип.

  Parameters:
    `showLogo` - Is logo required.
    Требуется ли показывать логотип.
  Since:
    1.0

### run

    public void run()

  Allows construct components and their customizers in background while logo is showing.
  Позволяет создавать компоненты и их настройщики в фоновом режиме, пока отображается заставка.

  Specified by:
    `run` in interface `java.lang.Runnable`
  Since:
    1.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD